Subject: Re: bug#75490: 30.0.93; package-upgrade-all - show upgradeable packages

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Jan 2025 15:32:03 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 13 Jan 2025 13:47:02 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: Philip Kaludercic <[email-masked]>,
> >>  Stefan Kangas <[email-masked]>
> >> Date: Sun, 12 Jan 2025 22:00:23 +0100
> >> From:  Daniel Mendler via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> I've attached a patch to this mail. The yes-or-no-p function handles
> >> longs strings well, such that this works even if there are many
> >> upgradeable packages.
> >
> > Do people happen to upgrade dozens of packages in one go?  If that
> > happens, won't this change in behavior annoy people?  E.g., if the
> > list is VERY long, we by default show only its last portion that the
> > mini-window can accommodate after resizing it to the limit, so the
> > "Upgrade" part might not be visible at all.
> >
> > Did you consider making this opt-in?
> 
> We can make this opt-in if this is preferred.

I think I'd prefer that, but let's see what others think.

Philip, WDYT?

> Another option would be to automatically show a longer list in a
> larger separate window. But in my tests it worked well with
> yes-or-no-p alone despite a long list of package names.

I think we should indeed pop up a buffer, since the mini-window is
limited in how much it can show conveniently.